### Method

# ECal ComponentAlarms remove_instance

since: 3.34

#### Declaration [src]

    gboolean
    e_cal_component_alarms_remove_instance (
      ECalComponentAlarms* alarms,
      const ECalComponentAlarmInstance* instance
    )

#### Description [src]

Remove the `instance` from the list of instances. If found, the `instance` is also freed.

Available since: 3.34

#### Parameters

`instance`

  Type: `ECalComponentAlarmInstance`

  An `ECalComponentAlarmInstance`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the `instance` had been found and freed.